当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 头痛,配置不了gtk
帖子发表于 : 2007-12-12 11:27 

注册: 2007-10-06 11:02
帖子: 49
地址: 广东佛山
送出感谢: 0 次
接收感谢: 0 次
已经看过关于配置gtk的文章了
也知道使用 sudo apt-get install gnome-core-devel 来安装gtk
已经添加了许多源了 但总是在安装的时候提示丢失文件 需要用 apt-get update --fix-missing
我也按照意思执行了 apt-get update --fix-missing
但是编译一段简单的gtk程序时 总提示找不到 gtk/gtk.h 这头文件

能帮忙解决吗?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-12-12 13:20 
头像

注册: 2007-03-13 17:26
帖子: 2254
送出感谢: 0 次
接收感谢: 1
gtk 不是这样用的


要用 gcc ???.c -o ??? `pkg-config gtk+-2.0 --libs --cflags`


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-13 16:16 

注册: 2007-12-12 17:51
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
有几个问题始终没搞太明白。以下是我的理解,希望清楚的帮忙解答一下。
Ubuntu7.10 的桌面系统是Gnome, 而Gnome使用的库是GTK的。照理说GTK应该已经在Ubuntu系统里了。
为什么我编译的时候 gcc base.c -o base `pkg-config --cflags --libs gtk+-2.0` 出现"No package gtk+-2.0 found" 呢?是gtk+-2.0错误吗?我怎么可以检查gtk在系统中的版本呢?谢谢!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-12-13 16:21 

注册: 2006-09-20 19:56
帖子: 768
送出感谢: 0 次
接收感谢: 1
sudo apt-get install libgtk2.0-dev libgtksourceview-dev libgnomeui-dev libglade2-dev libgnomeprint2.2-dev


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-12-19 15:59 

注册: 2007-12-12 17:51
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
zhangsong023 写道:
sudo apt-get install libgtk2.0-dev libgtksourceview-dev libgnomeui-dev libglade2-dev libgnomeprint2.2-dev


谢谢!终于解决了!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译